Error al instalar paquetes

Para que opines sobre pacman o comentes problemas instalando algún paquete.
Responder
Anndy
Novato
Mensajes: 9
Registrado: 26 Nov 2011, 18:23

Error al instalar paquetes

Mensaje por Anndy » 28 Oct 2015, 15:59

Saludos a todos los amigos, he tenido un problema al tratar de instalar paquetes en arch, bueno lo primero es que al instalar paquetes con Yaourt no hace absolutamente nada, ni errores ni nada, y al intentar reinstalar yaourt desde pacman me sale el siguiente error:

[[email protected] ~]$ sudo pacman -S yaourt
advertencia: yaourt-1.7-1 está actualizado -- reinstalando
resolviendo dependencias...
buscando conflictos entre paquetes....
error: la base de datos local es inconsistente: versión mal emparejada en el paquete python2-twisted
error: la base de datos local es inconsistente: nombre mal emparejado en el paquete python2-xdg
error: la base de datos local es inconsistente: versión mal emparejada en el paquete python2-xdg

Paquetes (1) yaourt-1.7-1

Tamaño total de la instalación: 0.72 MiB

:: ¿Continuar con la instalación? [S/n]

agradecería si alguien me puede ayudar. al parecer es algun error con python2.

Avatar de Usuario
madek
Equipo Hispano
Equipo Hispano
Mensajes: 2149
Registrado: 03 Sep 2009, 12:50
Ubicación: Puente Alto, Chile

Re: Error al instalar paquetes

Mensaje por madek » 28 Oct 2015, 18:29

verificar que tus repositorios esten bien actualizados, luego actualiza con pacman -Syyu
Asi hacemos las cosas => The Arch Way
Judd Vinet "Arch Linux es lo que tú haces de él"
Imagen

Anndy
Novato
Mensajes: 9
Registrado: 26 Nov 2011, 18:23

Re: Error al instalar paquetes

Mensaje por Anndy » 29 Oct 2015, 17:23

madek escribió:verificar que tus repositorios esten bien actualizados, luego actualiza con pacman -Syyu
Gracias madek, fijate que ya actualice el sistema y me aparece el error

error: la base de datos local es inconsistente: versión mal emparejada en el paquete python2-twisted
error: la base de datos local es inconsistente: nombre mal emparejado en el paquete python2-xdg
error: la base de datos local es inconsistente: versión mal emparejada en el paquete python2-xdg

pero se actualiza sin ningún problema. Y al tratar de reinstalar cualquier paquete por ej: Yaourt me sale esto:

[[email protected] ~]$ sudo pacman -S yaourt
advertencia: yaourt-1.7-1 está actualizado -- reinstalando
resolviendo dependencias...
buscando conflictos entre paquetes....
error: la base de datos local es inconsistente: versión mal emparejada en el paquete python2-twisted
error: la base de datos local es inconsistente: nombre mal emparejado en el paquete python2-xdg
error: la base de datos local es inconsistente: versión mal emparejada en el paquete python2-xdg

Paquetes (1) yaourt-1.7-1

Tamaño total de la instalación: 0.72 MiB

:: ¿Continuar con la instalación? [S/n] s
(1/1) comprobando las claves del depósito [-------------------------------------------] 100%
(1/1) verificando la integridad de los paquetes [-------------------------------------------] 100%
(1/1) cargando los archivos de los paquetes [-------------------------------------------] 100%
(1/1) comprobando conflictos entre archivos [-------------------------------------------] 100%
error: no se pudo realizar la operación (archivos en conflicto)
yaourt: /usr/bin/pacdiffviewer existe en el sistema de archivos
yaourt: /usr/bin/yaourt existe en el sistema de archivos
yaourt: /usr/lib/yaourt/abs.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/alpm_backup.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/alpm_query.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/alpm_stats.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/aur.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/io.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/misc.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/pacman.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/pkgbuild.sh existe en el sistema de archivos
yaourt: /usr/lib/yaourt/util.sh existe en el sistema de archivos
yaourt: /usr/share/bash-completion/completions/yaourt existe en el sistema de archivos
yaourt: /usr/share/locale/ar/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/ast/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/ca/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/cs_CZ/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/da/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/de/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/eo/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/es/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/es_419/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/fr/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/hu/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/id/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/it/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/ja/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/ko/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/lt/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/pl/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/pt/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/pt_BR/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/ro/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/ru/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/sk/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/sl/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/sr/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/tr/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/uk/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/uk_UA/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/zh_CN/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/locale/zh_TW/LC_MESSAGES/yaourt.mo existe en el sistema de archivos
yaourt: /usr/share/man/man5/yaourtrc.5.gz existe en el sistema de archivos
yaourt: /usr/share/man/man8/yaourt.8.gz existe en el sistema de archivos
Ocurrieron errores, por lo que no se actualizaron los paquetes


si en algo ayuda tengo instalado Plasma 5.4 y no logro instalar paquetes con yaourt.

Avatar de Usuario
cuentos
Equipo Hispano
Equipo Hispano
Mensajes: 544
Registrado: 25 Mar 2012, 03:24
Contactar:

Re: Error al instalar paquetes

Mensaje por cuentos » 30 Oct 2015, 02:44

Puedes poner tu /etc/pacman.conf en un servicio como http://pastebin.com/ y poner la liga aquí para ver como esta.
twitter @mcuentos

Anndy
Novato
Mensajes: 9
Registrado: 26 Nov 2011, 18:23

Re: Error al instalar paquetes

Mensaje por Anndy » 30 Oct 2015, 11:48

cuentos escribió:Puedes poner tu /etc/pacman.conf en un servicio como http://pastebin.com/ y poner la liga aquí para ver como esta.
Gracias, pues he subido mi pacman.conf espero me ayuden. http://pastebin.com/2Y5rypjQ

Avatar de Usuario
judd
Archer
Archer
Mensajes: 55
Registrado: 04 Sep 2012, 23:22
Contactar:

Re: Error al instalar paquetes

Mensaje por judd » 05 Nov 2015, 10:34

Mis respetos.-

Responder